Package org.kapott.hbci.sepa.jaxb.camt_052_001_06

## Class ReferredDocumentType4

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.camt_052_001_06.ReferredDocumentType4

    public class ReferredDocumentType4
    extends java.lang.Object

Java class for ReferredDocumentType4 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ReferredDocumentType4">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="CdOrPrtry" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.06}ReferredDocumentType3Choice"/>
             <element name="Issr" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.06}Max35Text" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected ReferredDocumentType3Choice` `cdOrPrtry`
`protected java.lang.String` `issr`

### Constructor Summary

Constructors
`ReferredDocumentType4()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ReferredDocumentType3Choice` `getCdOrPrtry()` Gets the value of the cdOrPrtry property.
`java.lang.String` `getIssr()` Gets the value of the issr property.
`void` `setCdOrPrtry​(ReferredDocumentType3Choice value)` Sets the value of the cdOrPrtry property.
`void` `setIssr​(java.lang.String value)` Sets the value of the issr property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### cdOrPrtry

    protected ReferredDocumentType3Choice cdOrPrtry

#### issr

    protected java.lang.String issr

### Constructor Detail

#### ReferredDocumentType4

    public ReferredDocumentType4()

### Method Detail

#### getCdOrPrtry

    public ReferredDocumentType3Choice getCdOrPrtry()

Gets the value of the cdOrPrtry property.

Returns:
  possible object is `ReferredDocumentType3Choice`

#### setCdOrPrtry

    public void setCdOrPrtry​(ReferredDocumentType3Choice value)

Sets the value of the cdOrPrtry property.

Parameters:
  `value` - allowed object is `ReferredDocumentType3Choice`

#### getIssr

    public java.lang.String getIssr()

Gets the value of the issr property.

Returns:
  possible object is `String`

#### setIssr

    public void setIssr​(java.lang.String value)

Sets the value of the issr property.

Parameters:
  `value` - allowed object is `String`